Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.configuration
Class WFSDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.wfs.configuration.WFSDeegreeParams

All Implemented Interfaces:
  Serializable

    public class WFSDeegreeParams

extends DeegreeParams

Represents the specific `deegreeParams` section of the configuration document for a `WFService` instance. This class encapsulates the deegree WFS specific parameters and inherits the parameters from the `DeegreeParams` class.

It adds the following elements to the common `deegreeParams`:``

Name | Mandatory | Function
--- | --- | ---
DataDirectoryList/td> | + | List of directories to be scanned for featuretypes/datastores to be served by the WFS. | LockManagerDirectory/td> | - | Directory where information about locked features is stored.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  `DeegreeParams`, Serialized Form

Constructor Summary
`WFSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet, String[] dataDirectories, File lockManagerDirectory)` Creates a new `WFSDeegreeParams` instance.
`WFSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet, String[] dataDirectories, File lockManagerDirectory, boolean checkUTMZones)`
`WFSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet, String[] dataDirectories, File lockManagerDirectory, boolean checkUTMZones, boolean switchAxes)`
`WFSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet, String[] dataDirectories, File lockManagerDirectory, boolean checkUTMZones, boolean switchAxes, boolean printGeomGmlIds)`

Method Summary
`boolean` | `checkUTMZones()`
`String[]` | `getDataDirectories()` Returns the resolved (absolute) data directory paths.
`File` | `getLockManagerDirectory()` Returns the directory where the `LockManager` will store its files.
`static boolean` | `getSwitchAxes()` Please note that this is a global setting!
`boolean` | `printGeometryGmlIds()` Please note that this is a global setting!

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFSDeegreeParams

    WFSDeegreeParams(OnlineResource defaultOnlineResource,
                     int cacheSize,
                     int requestTimeLimit,
                     String characterSet,
                     String[] dataDirectories,
                     File lockManagerDirectory)

  Creates a new `WFSDeegreeParams` instance.

  Parameters:
    `defaultOnlineResource` -
    `cacheSize` -
    `requestTimeLimit` -
    `characterSet` -
    `dataDirectories` -
    `lockManagerDirectory` - may be null

### WFSDeegreeParams

    WFSDeegreeParams(OnlineResource defaultOnlineResource,
                     int cacheSize,
                     int requestTimeLimit,
                     String characterSet,
                     String[] dataDirectories,
                     File lockManagerDirectory,
                     boolean checkUTMZones)

### WFSDeegreeParams

    WFSDeegreeParams(OnlineResource defaultOnlineResource,
                     int cacheSize,
                     int requestTimeLimit,
                     String characterSet,
                     String[] dataDirectories,
                     File lockManagerDirectory,
                     boolean checkUTMZones,
                     boolean switchAxes)

### WFSDeegreeParams

    WFSDeegreeParams(OnlineResource defaultOnlineResource,
                     int cacheSize,
                     int requestTimeLimit,
                     String characterSet,
                     String[] dataDirectories,
                     File lockManagerDirectory,
                     boolean checkUTMZones,
                     boolean switchAxes,
                     boolean printGeomGmlIds)

Method Detail

### getDataDirectories

    public String[] getDataDirectories()

  Returns the resolved (absolute) data directory paths.

  Returns:
    the resolved (absolute) data directory paths

### getLockManagerDirectory

    public File getLockManagerDirectory()

  Returns the directory where the `LockManager` will store its files.

  Returns:
    the directory where the `LockManager` will store its files, may be null

### checkUTMZones

    public boolean checkUTMZones()

  Returns:
    whether to check for correct UTM zones in bounding boxes

### getSwitchAxes

    public static boolean getSwitchAxes()

  Please note that this is a global setting!

  Returns:
    whether to switch x/y to y/x for EPSG 4326

### printGeometryGmlIds

    public boolean printGeometryGmlIds()

  Please note that this is a global setting!

  Returns:
    whether to print out GML ids for geometries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org